org.jboss.netty.handler.codec.spdy

## Interface SpdySettingsFrame

All Known Implementing Classes:
  DefaultSpdySettingsFrame

    public interface SpdySettingsFrame

A SPDY Protocol SETTINGS Control Frame

### Field Summary

Fields
`static int` `SETTINGS_CLIENT_CERTIFICATE_VECTOR_SIZE`
`static int` `SETTINGS_CURRENT_CWND`
`static int` `SETTINGS_DOWNLOAD_BANDWIDTH`
`static int` `SETTINGS_DOWNLOAD_RETRANS_RATE`
`static int` `SETTINGS_INITIAL_WINDOW_SIZE`
`static int` `SETTINGS_MAX_CONCURRENT_STREAMS`
`static int` `SETTINGS_ROUND_TRIP_TIME`
`static int` `SETTINGS_UPLOAD_BANDWIDTH`

### Method Summary

Methods
`boolean` `clearPreviouslyPersistedSettings()` Returns `true` if previously persisted settings should be cleared.
`Set<Integer>` `getIds()` Returns a `Set` of the setting IDs.
`Set<Integer>` `getIDs()` Deprecated. Use `getIds()` instead.
`int` `getValue(int ID)` Returns the value of the setting ID.
`boolean` `isPersisted(int ID)` Returns `true` if this setting is persisted.
`boolean` `isPersistValue(int ID)` Returns `true` if this setting should be persisted.
`boolean` `isSet(int ID)` Returns `true` if the setting ID has a value.
`boolean` `persistValue(int ID)` Deprecated. Use `isPersistValue(int)` instead.
`void` `removeValue(int ID)` Removes the value of the setting ID.
`void` `setClearPreviouslyPersistedSettings(boolean clear)` Sets if previously persisted settings should be cleared.
`void` `setPersisted(int ID, boolean persisted)` Sets if this setting is persisted.
`void` `setPersistValue(int ID, boolean persistValue)` Sets if this setting should be persisted.
`void` `setValue(int ID, int value)` Sets the value of the setting ID.
`void` `setValue(int ID, int value, boolean persistVal, boolean persisted)` Sets the value of the setting ID.

### Field Detail

#### SETTINGS_UPLOAD_BANDWIDTH

    static final int SETTINGS_UPLOAD_BANDWIDTH

See Also:
  Constant Field Values

#### SETTINGS_DOWNLOAD_BANDWIDTH

    static final int SETTINGS_DOWNLOAD_BANDWIDTH

See Also:
  Constant Field Values

#### SETTINGS_ROUND_TRIP_TIME

    static final int SETTINGS_ROUND_TRIP_TIME

See Also:
  Constant Field Values

#### SETTINGS_MAX_CONCURRENT_STREAMS

    static final int SETTINGS_MAX_CONCURRENT_STREAMS

See Also:
  Constant Field Values

#### SETTINGS_CURRENT_CWND

    static final int SETTINGS_CURRENT_CWND

See Also:
  Constant Field Values

#### SETTINGS_DOWNLOAD_RETRANS_RATE

    static final int SETTINGS_DOWNLOAD_RETRANS_RATE

See Also:
  Constant Field Values

#### SETTINGS_INITIAL_WINDOW_SIZE

    static final int SETTINGS_INITIAL_WINDOW_SIZE

See Also:
  Constant Field Values

#### SETTINGS_CLIENT_CERTIFICATE_VECTOR_SIZE

    static final int SETTINGS_CLIENT_CERTIFICATE_VECTOR_SIZE

See Also:
  Constant Field Values

### Method Detail

#### getIDs

    @Deprecated
    Set<Integer> getIDs()

Deprecated. Use `getIds()` instead.

#### getIds

    Set<Integer> getIds()

Returns a `Set` of the setting IDs. The set's iterator will return the IDs in ascending order.

#### isSet

    boolean isSet(int ID)

Returns `true` if the setting ID has a value.

#### getValue

    int getValue(int ID)

Returns the value of the setting ID. Returns -1 if the setting ID is not set.

#### setValue

    void setValue(int ID,
                int value)

Sets the value of the setting ID. The ID must be positive and cannot exceed 16777215.

#### setValue

    void setValue(int ID,
                int value,
                boolean persistVal,
                boolean persisted)

Sets the value of the setting ID. Sets if the setting should be persisted (should only be set by the server). Sets if the setting is persisted (should only be set by the client). The ID must be positive and cannot exceed 16777215.

#### removeValue

    void removeValue(int ID)

Removes the value of the setting ID. Removes all persistance information for the setting.

#### persistValue

    @Deprecated
    boolean persistValue(int ID)

Deprecated. Use `isPersistValue(int)` instead.

#### isPersistValue

    boolean isPersistValue(int ID)

Returns `true` if this setting should be persisted. Returns `false` if this setting should not be persisted or if the setting ID has no value.

#### setPersistValue

    void setPersistValue(int ID,
                       boolean persistValue)

Sets if this setting should be persisted. Has no effect if the setting ID has no value.

#### isPersisted

    boolean isPersisted(int ID)

Returns `true` if this setting is persisted. Returns `false` if this setting should not be persisted or if the setting ID has no value.

#### setPersisted

    void setPersisted(int ID,
                    boolean persisted)

Sets if this setting is persisted. Has no effect if the setting ID has no value.

#### clearPreviouslyPersistedSettings

    boolean clearPreviouslyPersistedSettings()

Returns `true` if previously persisted settings should be cleared.

#### setClearPreviouslyPersistedSettings

    void setClearPreviouslyPersistedSettings(boolean clear)

Sets if previously persisted settings should be cleared.